.product-dropdown {
  --product-dropdown-radio-size: 1rem;
  --product-dropdown-radio-gap: 0.8rem;
  --product-dropdown-list-padding-left: 1.6rem;

  display: flex;
  flex-wrap: wrap;
  align-items: center;
  justify-content: center;
  column-gap: 0.5rem;
  margin-top: 4.8rem;

  @media (max-width: 1023px) {
    margin-top: 3.6rem;
  }

  @media screen and (min-width: 750px) {
    column-gap: 0.8rem;
  }

  .dropdown {
    position: relative;
  }

  .dropdown__button {
    justify-content: flex-start;
  }

  .dropdown__list {
    left: calc(
      -1 * (var(--product-dropdown-list-padding-left) +
            var(--product-dropdown-radio-size) +
            var(--product-dropdown-radio-gap))
    );
    transform: none;
  }

  .product-dropdown__label {
    font-family: var(--font-heading-family);
    font-style: italic;
    font-size: 2rem;

    @media (max-width: 1023px) {
      font-size: 1.6rem;
    }
  }

  .dropdown input:checked + .dropdown__link:before {
    background-color: #b7e350;
  }
}
